unit uMMBase;

interface

uses
  Controls, MMSystem, Forms;

type
  TMessageProc = procedure(const aMsg: string);

  TMMControl = class(TWinControl)
  private
    FErrorProc: TMessageProc;
  protected
    FObjectName: String;
    FDeviceID: LongWord;
    FDeviceHD: Integer;
    FError: MMRESULT;
    FIsOpen: Boolean;
    procedure ErrorProc(aMsg: String);
  public
    constructor Create(aErrorProc: TMessageProc); reintroduce;
  end;

implementation


constructor TMMControl.Create(aErrorProc: TMessageProc);
begin
  inherited Create(Application);
  FErrorProc:= aErrorProc;
end;

procedure TMMControl.ErrorProc(aMsg: String);
begin
  if Assigned(FErrorProc) then
    FErrorProc(aMsg);
end;


end.
